import com.sun.btrace.*;
import com.sun.btrace.annotations.*;
import static com.sun.btrace.BTraceUtils.*;

@BTrace
class StaleTrace {
    // time is nanoseconds, / 1000 is microseconds
    @OnMethod(
              clazz="org.apache.http.impl.io.SocketInputBuffer",
              method="isDataAvailable",
              location=@Location(Kind.RETURN)
              )
              public static void isDataAvailableTime(@Duration long time) {
        println(concat("isDataAvailable() took ", concat(concat(" ", str(time / 1000)), " microseconds")));
    }
}
